### Enumeration

# PangoEllipsizeMode

#### Declaration

    enum Pango.EllipsizeMode

#### Description [src]

`PangoEllipsizeMode` describes what sort of ellipsization should be applied to text.

In the ellipsization process characters are removed from the text in order to make it fit to a given width and replaced with an ellipsis.

#### Members

`PANGO_ELLIPSIZE_NONE`

  No ellipsization.

  - Value: `0`
  - Nickname: `none`
  - Available since: 1.0
`PANGO_ELLIPSIZE_START`

  Omit characters at the start of the text.

  - Value: `1`
  - Nickname: `start`
  - Available since: 1.0
`PANGO_ELLIPSIZE_MIDDLE`

  Omit characters in the middle of the text.

  - Value: `2`
  - Nickname: `middle`
  - Available since: 1.0
`PANGO_ELLIPSIZE_END`

  Omit characters at the end of the text.

  - Value: `3`
  - Nickname: `end`
  - Available since: 1.0